Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Interface TaxParameters

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  TaxParametersImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface TaxParameters

extends Belonging

Currently defined locations include: ShipTo ShipFrom OrderAcceptance OrderOrigin Currently defined order-based attributes include: (listed with "name" (type) (default) explanation. None are required.) freight (com.beasys.commerce.axiom.units.Price)(0) commit (Boolean) (True) store the tax in the audit file or not credit (Boolean) (False) for credit transactions titlePassage(Char) (D)-O for point of Origin, D for point of Delivery date (java.sql.Date) (current system Date) date of tax taxType (Character) (S) S for sales tax U for use tax companyID (String) (PlaceHolder) The name of the source company for the transaction overrideTax (Double) (0) The override tax rate as a fraction, 0.0 means no override sellerRegistrationNumber (String) (null) the seller registration number, used in world tax Attribute: location

- Containment: By Value
- Multiplicity: 0:N
- Interface: java.util.Map

See Also
  `TaxParametersHome`, `TaxParametersImpl`

Field Summary
`static String` | `BUSINESSLOCATIONCODE` Deprecated See BEA Commerce product offering
`static String` | `BUYERREGISTRATIONNUMBER` Deprecated See BEA Commerce product offering
`static String` | `COMMIT` Deprecated See BEA Commerce product offering
`static String` | `COMPANYID` Deprecated See BEA Commerce product offering
`static String` | `COUNTRYOFORIGIN` Deprecated See BEA Commerce product offering
`static String` | `CREDIT` Deprecated See BEA Commerce product offering
`static String` | `CURRENCY` Deprecated See BEA Commerce product offering
`static String` | `DATE` Deprecated See BEA Commerce product offering
`static String` | `DELIVERYTERMS` Deprecated See BEA Commerce product offering
`static String` | `DISTANCESALEINDICATOR` Deprecated See BEA Commerce product offering
`static String` | `DOCUMENTNUMBER` Deprecated See BEA Commerce product offering
`static String` | `FREIGHT` Deprecated See BEA Commerce product offering
`static String` | `MODEOFTRANSPORT` Deprecated See BEA Commerce product offering
`static String` | `NETMASS` Deprecated See BEA Commerce product offering
`static String` | `NOTC` Deprecated See BEA Commerce product offering
`static String` | `ORDERACCEPTANCE` Deprecated See BEA Commerce product offering
`static String` | `ORDERORIGIN` Deprecated See BEA Commerce product offering
`static String` | `REGIONOFORIGINORDESTINATION` Deprecated See BEA Commerce product offering
`static String` | `SELLERREGISTRATIONNUMBER` Deprecated See BEA Commerce product offering
`static String` | `SHIPFROM` Deprecated See BEA Commerce product offering
`static String` | `SHIPTO` Deprecated See BEA Commerce product offering
`static String` | `STATISTICALPROCEDURECODE` Deprecated See BEA Commerce product offering
`static String` | `TAXDEBUG` Deprecated See BEA Commerce product offering
`static String` | `TAXSELPARM` Deprecated See BEA Commerce product offering
`static String` | `TAXTYPE` Deprecated See BEA Commerce product offering
`static String` | `TITLEPASSAGE` Deprecated See BEA Commerce product offering
`static String` | `TRANSACTIONTYPE` Deprecated See BEA Commerce product offering
`static String` | `WTCODE` Deprecated See BEA Commerce product offering

Method Summary
`void` | `addAttrib(String name, Object obj)` Deprecated See BEA Commerce product offering
`void` | `clearLocationMap()` Deprecated See BEA Commerce product offering
`boolean` | `equalsLocationMap(Object object)` Deprecated See BEA Commerce product offering
`Object` | `getAttrib(String name)` Deprecated See BEA Commerce product offering
`com.beasys.commerce.axiom.contact.Address` | `getLocation(Object key)` Deprecated See BEA Commerce product offering
`Map` | `getLocationMap()` Deprecated See BEA Commerce product offering
`TreeMap` | `getOrderAttribs()` Deprecated See BEA Commerce product offering
`boolean` | `isLocationMapEmpty()` Deprecated See BEA Commerce product offering
`boolean` | `locationMapContainsKey(Object key)` Deprecated See BEA Commerce product offering
`boolean` | `locationMapContainsValue(com.beasys.commerce.axiom.contact.Address element)` Deprecated See BEA Commerce product offering
`Set` | `locationMapEntrySet()` Deprecated See BEA Commerce product offering
`int` | `locationMapHashCode()` Deprecated See BEA Commerce product offering
`Iterator` | `locationMapIterator()` Deprecated See BEA Commerce product offering
`Set` | `locationMapKeySet()` Deprecated See BEA Commerce product offering
`int` | `locationMapSize()` Deprecated See BEA Commerce product offering
`Collection` | `locationMapValues()` Deprecated See BEA Commerce product offering
`com.beasys.commerce.axiom.contact.Address` | `putLocation(Object key, com.beasys.commerce.axiom.contact.Address element)` Deprecated See BEA Commerce product offering
`void` | `putLocationMap(Map map)` Deprecated See BEA Commerce product offering
`com.beasys.commerce.axiom.contact.Address` | `removeLocation(Object key)` Deprecated See BEA Commerce product offering
`void` | `setLocationMap(Map map)` Deprecated See BEA Commerce product offering
`void` | `setOrderAttribs(TreeMap orderAttribs)` Deprecated See BEA Commerce product offering

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### SHIPTO

    static final String SHIPTO

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SHIPFROM

    static final String SHIPFROM

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### ORDERACCEPTANCE

    static final String ORDERACCEPTANCE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### ORDERORIGIN

    static final String ORDERORIGIN

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### COMMIT

    static final String COMMIT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CREDIT

    static final String CREDIT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TITLEPASSAGE

    static final String TITLEPASSAGE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### COMPANYID

    static final String COMPANYID

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### BUSINESSLOCATIONCODE

    static final String BUSINESSLOCATIONCODE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### DATE

    static final String DATE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TAXTYPE

    static final String TAXTYPE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CURRENCY

    static final String CURRENCY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### FREIGHT

    static final String FREIGHT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TRANSACTIONTYPE

    static final String TRANSACTIONTYPE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### WTCODE

    static final String WTCODE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### DOCUMENTNUMBER

    static final String DOCUMENTNUMBER

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### DISTANCESALEINDICATOR

    static final String DISTANCESALEINDICATOR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MODEOFTRANSPORT

    static final String MODEOFTRANSPORT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### COUNTRYOFORIGIN

    static final String COUNTRYOFORIGIN

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### REGIONOFORIGINORDESTINATION

    static final String REGIONOFORIGINORDESTINATION

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### DELIVERYTERMS

    static final String DELIVERYTERMS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### NOTC

    static final String NOTC

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TAXSELPARM

    static final String TAXSELPARM

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### STATISTICALPROCEDURECODE

    static final String STATISTICALPROCEDURECODE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### NETMASS

    static final String NETMASS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SELLERREGISTRATIONNUMBER

    static final String SELLERREGISTRATIONNUMBER

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### BUYERREGISTRATIONNUMBER

    static final String BUYERREGISTRATIONNUMBER

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TAXDEBUG

    static final String TAXDEBUG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Method Detail

### getLocationMap

    Map getLocationMap()

  Deprecated See BEA Commerce product offering

  Returns the entire map

### setLocationMap

    void setLocationMap(Map map)

  Deprecated See BEA Commerce product offering

  Sets the entire map

### locationMapIterator

    Iterator locationMapIterator()

  Deprecated See BEA Commerce product offering

  Returns an iterator for this map

### clearLocationMap

    void clearLocationMap()

  Deprecated See BEA Commerce product offering

  Removes all mappings from this map (optional operation).

### locationMapContainsKey

    boolean locationMapContainsKey(Object key)

  Deprecated See BEA Commerce product offering

  Returns true if this map contains a mapping for the specified key.

### locationMapContainsValue

    boolean locationMapContainsValue(com.beasys.commerce.axiom.contact.Address element)

  Deprecated See BEA Commerce product offering

  Returns true if this map maps one or more keys to the specified value.

### locationMapEntrySet

    Set locationMapEntrySet()

  Deprecated See BEA Commerce product offering

  Returns a set view of the mappings contained in this map.

### equalsLocationMap

    boolean equalsLocationMap(Object object)

  Deprecated See BEA Commerce product offering

  Compares the specified object with this map for equality.

### getLocation

    com.beasys.commerce.axiom.contact.Address getLocation(Object key)

  Deprecated See BEA Commerce product offering

  Returns the value to which this map maps the specified key.

### locationMapHashCode

    int locationMapHashCode()

  Deprecated See BEA Commerce product offering

  Returns the hash code value for this map.

### isLocationMapEmpty

    boolean isLocationMapEmpty()

  Deprecated See BEA Commerce product offering

  Returns true if this map contains no key-value mappings.

### locationMapKeySet

    Set locationMapKeySet()

  Deprecated See BEA Commerce product offering

  Returns a set view of the keys contained in this map.

### putLocation

    com.beasys.commerce.axiom.contact.Address putLocation(Object key,
                                                          com.beasys.commerce.axiom.contact.Address element)

  Deprecated See BEA Commerce product offering

  Associates the specified value with the specified key in this map (optional operation).

### putLocationMap

    void putLocationMap(Map map)

  Deprecated See BEA Commerce product offering

  Copies all of the mappings from the specified map to this map (optional operation).

### removeLocation

    com.beasys.commerce.axiom.contact.Address removeLocation(Object key)

  Deprecated See BEA Commerce product offering

  Removes the mapping for this key from this map if present (optional operation).

### locationMapSize

    int locationMapSize()

  Deprecated See BEA Commerce product offering

  Returns the number of key-value mappings in this map.

### locationMapValues

    Collection locationMapValues()

  Deprecated See BEA Commerce product offering

  Returns a collection view of the values contained in this map.

### addAttrib

    void addAttrib(String name,
                   Object obj)

  Deprecated See BEA Commerce product offering

  adds an attribute to the attributes in TaxParameter. If a map does not exist, it will be created. Address attributes should be set via the accessors to the location collection.

### getAttrib

    Object getAttrib(String name)

  Deprecated See BEA Commerce product offering

  returns an object that has the given string as attirbute. If the attribute does not exist, then it returns null.

### setOrderAttribs

    void setOrderAttribs(TreeMap orderAttribs)

  Deprecated See BEA Commerce product offering

  For ease of use, if desired, the entire set of attributes may be set.

### getOrderAttribs

    TreeMap getOrderAttribs()

  Deprecated See BEA Commerce product offering

  For ease of use, in case the same parameters need to be reused. Note that the locations collection is not included in the treemap returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved